> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bonifiq.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns the customizations as configured in the BonifiQ admin panel

> Returns the customizations as configured in the BonifiQ admin panel

This method returns two types of rewards: Discounts (Value Discounts and Percent Discounts) or Cashback. Altough not commom, it is possible to have all types of rewards active at the same time.

## Main properties
- `ProgramName` The name of the loyalty program. This could be different from the store name. Eg: "MyStore Rewards"
- `WidgetIconUrl`: The URL of the icon used as reference in the loyaty program. Used in widget an landing pages. If null, the default icon should be used
- `HaveIconUrl`: if true the icon URL is set and should be used. If false, the default icon should be used
- `WidgetColor`: if `HaveIconUrl` is false, this color should be used in the widget. 
- `MainColor`: the hexadecimal color used as a main theme color for the program.  
- `Logo`: The URL of the store. This is usually used in the e-mails sent do customers.
- `Url`: The URL of the store or loyalty landing page. It could be useful when communicating with the customer for sending him to the store.
- `CompanyName`: Name of the store or company. Can be used in communications.
- `PointsNameSingular` and `PointNamePlural`: The user can change the name "Points" to something like "Coins". These are the Singular and Plural versions

## Defining Loyalty Program Icon
The Loyalty Programa usually have an unique visual identification, as a logo or icon. This icon is used in the widget and landing pages to identify the program.

If the `WidgetIconUrl` is null them the logo is not set and a default icon should be used instead. The rule therefore should be:
 - If `HaveIconUrl` is `true` use the `WidgetIconUrl` as the icon as a link to an image
 - If `HaveIconUrl` is `false` display the default widget icon. Usually it is the `giftcard` icon from Material UI. Use [this link](https://shorturl.at/Hxd9r) for instructios on how to use it
 - If using the default icon, use `WidgetColor` to set the icon color as set in the BonifiQ admin configuration.



## OpenAPI

````yaml https://api.bonifiq.com.br/swagger/Private%20APIs/swagger.json get /v1/pvt/Customization
openapi: 3.0.0
info:
  title: BonifiQ Private APIs
  description: >-
    # Introduction 

    This is the BonifiQ Private APIs documentation. With these endpoints you can
    interact with BonifiQ systems and enhance your program points.


    # Limitations

    These endpoints are intended to be used in backend communication so they are
    not CORS-compatible and cannot be used by in-browser frontend libraries
    (such as React, Angular, Vue, jQuery, etc)


    If are required to call BonifiQ API from a browser, please refer to our
    [Public APIs](https://api.bonifiq.com.br/apidocs/public)


    # Authentication

    These Private APis use the [Basic
    Authentication](https://en.wikipedia.org/wiki/Basic_access_authentication)
    scheme. You need both an API Token (Username) and API Key (Password) to use
    with it


    You can generate this key pair in BonifiQ admin panel, at the "API Keys"
    menu.


    # How to use this page

    ## Making calls

    You can simulate, test and make calls to API from this Swagger page. To do
    that:

    - Click on the **Authorize** button

    - Inform the Username (API Token) and Passwoird (API Key) and click on
    **Authorize**

    - From the list bellow, choose an API call and click on **Try it out**

    - Inform the required parameters (if any) and click on **Execute**


    ## Verifying requests and responses bodies

    In every API Call there is an explanation of what each field means, theirs
    types and accepted values for all Requests and Responses.


    To view this information, just go to any API Call bellow and in the
    Responses section, click on the Schema.
  version: 1.0.0
servers:
  - url: https://api.bonifiq.com.br
security: []
tags:
  - name: POS
    description: >-
      Flow methods to integrate BonifiQ with a POS system. Check the Flow
      Documentation link on the right
    externalDocs:
      description: Flow Documentation
      url: >-
        https://suporte.bonifiq.com.br/support/solutions/articles/159000319538-integrar-com-pdv
  - name: Checkout
    description: Operations related to checkout cashback redeem, refresh and removal
  - name: Customization
    description: Retrieve customizations for the loyalty program
  - name: Rewards
    description: Interact with rewards already redeemed
paths:
  /v1/pvt/Customization:
    get:
      tags:
        - Customization
      summary: Returns the customizations as configured in the BonifiQ admin panel
      description: >-
        Returns the customizations as configured in the BonifiQ admin panel


        This method returns two types of rewards: Discounts (Value Discounts and
        Percent Discounts) or Cashback. Altough not commom, it is possible to
        have all types of rewards active at the same time.


        ## Main properties

        - `ProgramName` The name of the loyalty program. This could be different
        from the store name. Eg: "MyStore Rewards"

        - `WidgetIconUrl`: The URL of the icon used as reference in the loyaty
        program. Used in widget an landing pages. If null, the default icon
        should be used

        - `HaveIconUrl`: if true the icon URL is set and should be used. If
        false, the default icon should be used

        - `WidgetColor`: if `HaveIconUrl` is false, this color should be used in
        the widget. 

        - `MainColor`: the hexadecimal color used as a main theme color for the
        program.  

        - `Logo`: The URL of the store. This is usually used in the e-mails sent
        do customers.

        - `Url`: The URL of the store or loyalty landing page. It could be
        useful when communicating with the customer for sending him to the
        store.

        - `CompanyName`: Name of the store or company. Can be used in
        communications.

        - `PointsNameSingular` and `PointNamePlural`: The user can change the
        name "Points" to something like "Coins". These are the Singular and
        Plural versions


        ## Defining Loyalty Program Icon

        The Loyalty Programa usually have an unique visual identification, as a
        logo or icon. This icon is used in the widget and landing pages to
        identify the program.


        If the `WidgetIconUrl` is null them the logo is not set and a default
        icon should be used instead. The rule therefore should be:
         - If `HaveIconUrl` is `true` use the `WidgetIconUrl` as the icon as a link to an image
         - If `HaveIconUrl` is `false` display the default widget icon. Usually it is the `giftcard` icon from Material UI. Use [this link](https://shorturl.at/Hxd9r) for instructios on how to use it
         - If using the default icon, use `WidgetColor` to set the icon color as set in the BonifiQ admin configuration.
      operationId: Customization_GetCustomization
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalAPICustomizationResponse'
      security:
        - Basic Authentication: []
components:
  schemas:
    ExternalAPICustomizationResponse:
      type: object
      additionalProperties: false
      properties:
        Logo:
          type: string
          description: >-
            The URL of the store. This is usually used in the e-mails sent do
            customers.
          nullable: true
        ProgramName:
          type: string
          description: >-
            The name of the loyalty program. This could be different from the
            store name. Eg: "MyStore Rewards"
          nullable: true
        FontName:
          type: string
          description: Name of the font set. If null use a default font
          nullable: true
        FontUrl:
          type: string
          description: >-
            URL for the font. For webfonts the FontUrl is null otherwise the URL
            if given in this field
          nullable: true
        MainColor:
          type: string
          description: 'The hexadecimal color used as a main theme color for the program.  '
        Url:
          type: string
          description: >-
            The URL of the store or loyalty landing page. It could be useful
            when communicating with the customer for sending him to the store.
          nullable: true
        CompanyName:
          type: string
          description: Name of the store or company. Can be used in communications.
        Locale:
          type: string
          description: Locale configured for the tenant.
          nullable: true
        WidgetIconUrl:
          type: string
          description: >-
            The URL of the icon used as reference in the loyaty program. Used in
            widget an landing pages. If null, the default icon should be used
          nullable: true
        HaveIconUrl:
          type: boolean
          description: >-
            if true the icon URL is set and should be used. If false, the
            default icon should be used
        WidgetColor:
          type: string
          description: 'if `HaveIconUrl` is false, this color should be used in the widget. '
          nullable: true
        PointsNameSingular:
          type: string
          description: >-
            The user can change the name "Points" to something like "Coins".
            This is the Singular version
        PointNamePlural:
          type: string
          description: >-
            The user can change the name "Points" to something like "Coins".
            This is the Plural version
  securitySchemes:
    Basic Authentication:
      type: http
      description: Use API Basic Auth Keys
      name: Basic Authentication
      in: header
      scheme: basic

````